version: '3.7'

services:
  postgresql:
    deploy:
      mode: replicated
      replicas: 1
      restart_policy:
        delay: 1m
        window: 3m
      resources:
        limits:
          cpus: '2.25G'
          memory: 16G
        reservations:
          cpus: '0.5'
          memory: 1G
